#ifndef WIDGET_H
#define WIDGET_H

#include <QWidget>
#include <QFile>
#include <QTimer>
#include <QMessageBox>
#include <QMap>
#include <QVector>
#include <QTableWidget>
#include <QTextStream>

QT_BEGIN_NAMESPACE
namespace Ui { class Widget; }
QT_END_NAMESPACE

using record = QPair<QString, QString>;
using records = QVector<record>;

class tabChapter {
public:
    tabChapter();
    tabChapter(QString _name) : m_name(_name) {}
    QString m_name;
    records m_hash;
};

class myTable : public QTableWidget
{
    Q_OBJECT
public:
    myTable(const records &hash = {});
private:
    void fill(const records &hash);
};

class Widget : public QWidget
{
    Q_OBJECT

public:
    Widget(QWidget *parent = nullptr);
    ~Widget();

private slots:
    void on_pushButton_clicked();
    void genTabs();
    void on_lineEdit_returnPressed();

    void on_pushButton_2_clicked();

    void on_pushButton_4_clicked();

    void on_pushButton_3_clicked();

private:
    Ui::Widget *ui;
    void proceedFile(QFile &file);
    QVector<tabChapter> tabs;
    QHash<int, QString> comments;
    void saveDataToFile(QString &fileName);
};
#endif // WIDGET_H
